--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Converts an escaped string representation of binary data into binary data --- the reverse of #escape_bytea. This is needed when retrieving <tt>bytea</tt> data in text format, but not when retrieving it in binary format."
- !ruby/struct:SM::Flow::P 
  body: See the PostgreSQL documentation on PQunescapeBytea[http://www.postgresql.org/docs/current/interactive/libpq-exec.html#LIBPQ-EXEC-ESCAPE-BYTEA] for more information.
full_name: PGconn::unescape_bytea
is_singleton: true
name: unescape_bytea
params: |
  PGconn.unescape_bytea( obj )

visibility: public
